.modal { 
    position: fixed;
    inset: 0;
    z-index: 10000;
    display: flex;
    align-items: center;
    justify-content: center;
}

.modal.hidden {
    display: none;
}

.modal-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0);
}

.modal-content {
    position: relative;
    background: #927471;
    color: #3B2A28;
    width: 90%;
    max-width: 600px;

    /* 🔴 KRITIKUS SOROK */
    max-height: 90vh;
    overflow-y: auto;

    padding: 2rem;
    border-radius: 8px;
    box-shadow: inset 0 0 0 5px #D9A066, inset 0 0 0 10px #7F605D, inset 0 0 0 15px #D9A066;
}

.modal-close {
    position: absolute;
    top: 10px;
    right: 12px;
    font-size: 24px;
    background: none;
    border: none;
    cursor: pointer;
    color: #D9A066;
}

.modal-table {
  border-collapse: collapse;
  width: 100%;
  margin-left: 0em;
  margin-bottom: 2em;
}

.modal-td {
  border: none;
  text-align: left;
  padding: .1em;
}

.modal-button-div{
    text-align: center;
}

.modal-button{
    margin-right: 1em;
}

